## cantata 1.5.2.ds2

=== CMakeLists.txt ===
PROJECT(cantata)

#  NOTE: If PROJECT_URL, or PROJECT_REV_URL, are changed, then cantata-dynamic, and README will need updating.
#        dbus/com.googlecode.cantata.xml and devices/mounter/com.googlecode.cantata.mounter.xml
#        will also need renaming/updating.
set(PROJECT_URL "cantata.googlecode.com")
set(PROJECT_REV_URL "com.googlecode.cantata")

if (WIN32)
    # For some reason I chose mpd as the organization name for Windows builds. So, for config compatability, this is
    # left as mpd for now...
    set(ORGANIZATION_NAME "mpd")
else (WIN32)
    # Otherwise its set to the same as the project name. Not sure what else to set it to!!!
    set(ORGANIZATION_NAME ${CMAKE_PROJECT_NAME})
endif (WIN32)

cmake_minimum_required(VERSION 2.6)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

set(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/README")
set(CPACK_GENERATOR "DEB;RPM;TBZ2")
set(DEBIAN_PACKAGE_DESCRIPTION "Qt/KDE Client for MPD")
set(DEBIAN_PACKAGE_SECTION "kde4")
set(CPACK_SOURCE_GENERATOR "TBZ2")
set(CPACK_PACKAGE_VERSION_MAJOR "1")
set(CPACK_PACKAGE_VERSION_MINOR "5")
set(CPACK_PACKAGE_VERSION_PATCH "2")
set(CPACK_PACKAGE_VERSION_SPIN "")  # Use ".$number" - e.g. ".1"
set(CPACK_PACKAGE_CONTACT "Craig Drummond <craig.p.drummond@gmail.com>")
set(CANTATA_VERSION "${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}")
set(CANTATA_VERSION_FULL "${CANTATA_VERSION}.${CPACK_PACKAGE_VERSION_PATCH}")
set(CANTATA_VERSION_WITH_SPIN "${CANTATA_VERSION_FULL}${CPACK_PACKAGE_VERSION_SPIN}")
set(CPACK_SOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${CANTATA_VERSION_WITH_SPIN}")
set(CPACK_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${CANTATA_VERSION_WITH_SPIN}")
set(CPACK_SOURCE_IGNORE_FILES  "/.svn/;CMakeLists.txt.user")
include(CPack)
include(MacroLogFeature)

option(ENABLE_TAGLIB "Enable TagLib library (required for tag editing, replaygain calculation, device support, etc)" ON)
option(ENABLE_TAGLIB_EXTRAS "Enable TagLib-Extras library (used by tag editing, replaygain calculation, device support, etc)" ON)
option(ENABLE_HTTP_STREAM_PLAYBACK "Enable playback of MPD HTTP streams (Phonon required for Qt4, QtMultimedia for Qt5)" OFF)
option(ENABLE_LIBVLC "Use libVLC for MPD HTTP stream playback (if ENABLE_HTTP_STREAM_PLAYBACK=ON)" OFF)
option(ENABLE_KDE "Enable KDE libraries" OFF)
option(ENABLE_KWALLET "Use KWallet in KDE builds" ON)
option(ENABLE_QT5 "Build against Qt5" OFF)
option(ENABLE_UBUNTU "Build for the Ubuntu SDK" OFF)
option(ENABLE_UBUNTU_COMMAND_LINE "Build for the Ubuntu SDK from the command line" OFF)
option(ENABLE_FFMPEG "Enable ffmpeg/libav libraries (required for replaygain calculation)" ON)
option(ENABLE_MPG123 "Enable mpg123 libraries (required for replaygain calculation)" ON)
option(ENABLE_PROXY_CONFIG "Enable proxy config in settings dialog" OFF)
option(ENABLE_EXTERNAL_TAGS "Enable usage of external app for reading/writing tags" ON)
option(ENABLE_HTTP_SERVER "Enable internal HTTP server to play non-MPD files" ON)
option(ENABLE_DYNAMIC "Enable support for dynamic playlists" ON)
option(ENABLE_STREAMS "Enable support for streams tab (to save favourite streams, and search for others)" ON)
option(ENABLE_ONLINE_SERVICES "Enable support for online services (Jamendo, Magnatune, SoundCloud, and Podcasts)" ON)
if (WIN32 OR APPLE)
    option(ENABLE_DEVICES_SUPPORT "Enable suport for external devices" OFF)
else (WIN32 OR APPLE)
    option(ENABLE_DEVICES_SUPPORT "Enable suport for external devices" ON)
endif (WIN32 OR APPLE)
if (WIN32)
    set(USE_SYSTEM_MENU_ICON OFF)
else (WIN32)
    option(USE_SYSTEM_MENU_ICON "Use system menu icon" ON)
endif (WIN32)
option(ENABLE_CDPARANOIA "Enable CDParanoia libraries (required for AudioCD support)" ON)
option(ENABLE_CDDB "Enable CDDB libraries (either this or MusicBrianz required for AudioCD support)" ON)
option(ENABLE_MUSICBRAINZ "Enable MusicBrianz libraries (either this or CDDB required for AudioCD support)" ON)
option(ENABLE_UDISKS2 "Build UDisks2 backend, and NOT UDisks, for Qt builds" OFF)
option(ENABLE_REMOTE_DEVICES "Enable support for remote (sshfs, samba) devices (EXPERIMENTAL)" OFF)
option(ENABLE_MTP "Enable MTP library (required to support MTP devices)" ON)
option(ENABLE_UNCACHED_MTP "Open MTP devices in un-cached mode (faster)" ON)

if (WIN32)
    set(CANTATA_ICON_INSTALL_PREFIX ${CMAKE_INSTALL_PREFIX}/icons/oxygen)
elseif (APPLE)
    set(ENABLE_QT5 ON)
    set(MACOSX_BUNDLE_BUNDLE_NAME Cantata)
    set(MACOSX_BUNDLE_EXECUTABLE cantata)
    set(MACOSX_BUNDLE_SHORT_VERSION_STRING ${CANTATA_VERSION})
    set(MACOSX_BUNDLE_VERSION ${CANTATA_VERSION})
    set(MACOSX_BUNDLE_LONG_VERSION_STRING ${CANTATA_VERSION_WITH_SPIN})
    set(MACOSX_BUNDLE_ICON_FILE cantata.icns)
    set(CANTATA_APP_CONTENTS_DIR ${CMAKE_INSTALL_PREFIX}/Cantata.app/Contents)
    set(MACOSX_BUNDLE_RESOURCES ${CANTATA_APP_CONTENTS_DIR}/Resources)
    set(MACOSX_BUNDLE_APP_DIR ${CANTATA_APP_CONTENTS_DIR}/MacOS)
    set(CANTATA_ICON_INSTALL_PREFIX ${MACOSX_BUNDLE_RESOURCES}/icons/oxygen)
elseif (NOT ENABLE_UBUNTU)
    set(CANTATA_ICON_INSTALL_PREFIX ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor)
endif (WIN32)

if (ENABLE_UBUNTU_COMMAND_LINE)
    set(ENABLE_UBUNTU ON)
endif (ENABLE_UBUNTU_COMMAND_LINE)

if (NOT APPLE AND NOT WIN32 AND NOT ENABLE_UBUNTU AND NOT ENABLE_KDE_SUPPORT)
    set(UNITY_MENU_HACK ON)
endif (NOT APPLE AND NOT WIN32 AND NOT ENABLE_UBUNTU AND NOT ENABLE_KDE_SUPPORT)

if (ENABLE_UBUNTU)
    set(ENABLE_QT5 ON)
    set(ENABLE_DYNAMIC OFF)
    set(ENABLE_STREAMS OFF)
    set(ENABLE_ONLINE_SERVICES OFF)
    set(ENABLE_TAGLIB OFF)
    set(ENABLE_TAGLIB_EXTRAS OFF)
    set(ENABLE_FFMPEG OFF)
    set(ENABLE_MPG123 OFF)
    set(ENABLE_EXTERNAL_TAGS OFF)
    set(ENABLE_HTTP_SERVER OFF)
    set(ENABLE_CDPARANOIA OFF)
    set(ENABLE_CDDB OFF)
    set(ENABLE_MUSICBRAINZ OFF)
    set(ENABLE_UDISKS2 OFF)
    set(ENABLE_DEVICES_SUPPORT OFF)
    set(ENABLE_REMOTE_DEVICES OFF)
    set(ENABLE_MTP OFF)
    set(ENABLE_UNCACHED_MTP OFF)
    set(USE_SYSTEM_MENU_ICON OFF)
endif (ENABLE_UBUNTU)

if (ENABLE_QT5)
    set(ENABLE_KDE OFF)
endif (ENABLE_QT5)

if (NOT ENABLE_KDE)
   set(ENABLE_KWALLET OFF)
endif (NOT ENABLE_KDE)

if (NOT WIN32 AND NOT APPLE AND ENABLE_DEVICES_SUPPORT AND ENABLE_UDISKS2)
    set(WITH_SOLID_UDISKS2 ON)
endif (NOT WIN32 AND NOT APPLE AND ENABLE_DEVICES_SUPPORT AND ENABLE_UDISKS2)

if (NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE "Release")
    message("-- Set build type to ${CMAKE_BUILD_TYPE}")
endif (NOT CMAKE_BUILD_TYPE)

if (NOT APPLE AND NOT WIN32)
    if (CANTATA_HELPERS_LIB_DIR AND NOT ENABLE_KDE AND CMAKE_SIZEOF_VOID_P EQUAL 8)
        set(LINUX_LIB_DIR ${CANTATA_HELPERS_LIB_DIR})
    else (CANTATA_HELPERS_LIB_DIR AND NOT ENABLE_KDE AND CMAKE_SIZEOF_VOID_P EQUAL 8)
        set(LINUX_LIB_DIR lib)
    endif (CANTATA_HELPERS_LIB_DIR AND NOT ENABLE_KDE AND CMAKE_SIZEOF_VOID_P EQUAL 8)
endif (NOT APPLE AND NOT WIN32)

if (ENABLE_UBUNTU)
    if (ENABLE_UBUNTU_COMMAND_LINE)
        set(CMAKE_INSTALL_PREFIX click)
    else (ENABLE_UBUNTU_COMMAND_LINE)
        set(CMAKE_INSTALL_PREFIX /)
    endif (ENABLE_UBUNTU_COMMAND_LINE)
elseif (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
    if (ENABLE_KDE)
        find_program(KDE4_KDECONFIG_EXECUTABLE NAMES kde4-config
                     PATHS ${CMAKE_INSTALL_PREFIX}/bin ${_KDEDIRS} /opt/kde4/bin NO_DEFAULT_PATH)
        if (NOT KDE4_KDECONFIG_EXECUTABLE)
           find_program(KDE4_KDECONFIG_EXECUTABLE NAMES kde4-config )
        endif (NOT KDE4_KDECONFIG_EXECUTABLE)
        if (KDE4_KDECONFIG_EXECUTABLE)
            exec_program(${KDE4_KDECONFIG_EXECUTABLE} ARGS --prefix OUTPUT_VARIABLE CMAKE_INSTALL_PREFIX)
            message("-- Set install prefix to ${CMAKE_INSTALL_PREFIX}")
        endif (KDE4_KDECONFIG_EXECUTABLE)
    elseif (NOT APPLE AND NOT WIN32)
        set(CMAKE_INSTALL_PREFIX "/usr")
        message("-- Set install prefix to ${CMAKE_INSTALL_PREFIX}")
    endif (ENABLE_KDE)
endif (ENABLE_UBUNTU)

if (NOT ENABLE_QT5 AND NOT APPLE AND NOT WIN32)
    find_package(X11)
    if (X11_FOUND)
        include_directories(${X11_INCLUDE_DIR})
        set(CANTATA_LIBS ${CANTATA_LIBS} ${X11_LIBRARIES})
    endif (X11_FOUND)
endif (NOT ENABLE_QT5 AND NOT APPLE AND NOT WIN32)

if (ENABLE_TAGLIB)
    set(TAGLIB_MIN_VERSION "1.6")
    find_package(Taglib)
    macro_log_feature(TAGLIB_FOUND "TagLib" "Tag editor, file organiser, etc." "http://taglib.github.io/")
endif (ENABLE_TAGLIB)

if (TAGLIB_FOUND)
    if (ENABLE_DEVICES_SUPPORT AND ENABLE_CDPARANOIA)
        find_package(Cdparanoia)
        macro_log_feature(CDPARANOIA_FOUND "libcdda_paranoia" "CD ripping." "http://www.xiph.org/paranoia")
        if (CDPARANOIA_FOUND)
            if (ENABLE_CDDB)
                find_package(CDDB)
                macro_log_feature(CDDB_FOUND "libcddb" "CD info retrieval via CDDB." "http://libcddb.sourceforge.net")
            endif (ENABLE_CDDB)
            if (ENABLE_MUSICBRAINZ)
                find_package(MusicBrainz5)
                macro_log_feature(MUSICBRAINZ5_FOUND "libmusicbrainz5" "CD info retrieval via MusicBrainz." "http://musicbrainz.org/doc/libmusicbrainz")
            endif (ENABLE_MUSICBRAINZ)
        endif (CDPARANOIA_FOUND)
    endif (ENABLE_DEVICES_SUPPORT AND ENABLE_CDPARANOIA)

    set(ENABLE_TAGEDITOR_SUPPORT 1)
    set(ENABLE_TRACKORGANIZER_SUPPORT 1)
    include(CheckCXXSourceCompiles)
    set(CMAKE_REQUIRED_INCLUDES "${TAGLIB_INCLUDES}")
    set(CMAKE_REQUIRED_LIBRARIES "${TAGLIB_LIBRARIES}")

    check_cxx_source_compiles("#include <asftag.h>
                            int main() { TagLib::ASF::Tag tag; return 0;}" TAGLIB_ASF_FOUND)
    if (NOT TAGLIB_ASF_FOUND)
        message("TagLib does not have ASF support compiled in.")
    endif (NOT TAGLIB_ASF_FOUND)

    check_cxx_source_compiles("#include <mp4tag.h>
                            int main() { TagLib::MP4::Tag tag(0, 0); return 0;}" TAGLIB_MP4_FOUND)
    if (NOT TAGLIB_MP4_FOUND)
        message("TagLib does not have MP4 support compiled in.")
    endif (NOT TAGLIB_MP4_FOUND)

    set(CMAKE_REQUIRED_INCLUDES)
    set(CMAKE_REQUIRED_LIBRARIES)

    set(TAGLIB-EXTRAS_MIN_VERSION "1.0")
    if (ENABLE_TAGLIB_EXTRAS)
        find_package(Taglib-Extras)
        macro_log_feature(TAGLIB-EXTRAS_FOUND "TagLib-Extras" "Tag editor, file organiser, etc." "http://taglib.github.io/")
    endif (ENABLE_TAGLIB_EXTRAS)
    set(TAGLIB_EXTRAS_FOUND ${TAGLIB-EXTRAS_FOUND}) # we need a c-compatible name for the include file

    include(CheckTagLibFileName)
    check_taglib_filename(COMPLEX_TAGLIB_FILENAME)

    add_definitions(${TAGLIB_CFLAGS})
    if (TAGLIB-EXTRAS_FOUND)
        include_directories(${TAGLIB-EXTRAS_INCLUDES})
        add_definitions(${TAGLIB-EXTRAS_CFLAGS})
    endif (TAGLIB-EXTRAS_FOUND)

    if (ENABLE_FFMPEG)
        find_package(FFMPEG)
        macro_log_feature(FFMPEG_FOUND "libavcodec/libavutil/libavformat" "ReplayGain calculation." "http://ffmpeg.org")
    endif (ENABLE_FFMPEG)
    if (ENABLE_MPG123)
        find_package(MPG123)
        macro_log_feature(MPG123_FOUND "libmpg123" "ReplayGain calculation." "http://www.mpg123.de")
    endif (ENABLE_MPG123)
    if (ENABLE_MTP AND ENABLE_DEVICES_SUPPORT AND NOT WIN32 AND NOT APPLE)
        find_package(Mtp)
        macro_log_feature(MTP_FOUND "libmtp" "MTP Device Support." "http://libmtp.sourceforge.net")
    endif (ENABLE_MTP AND ENABLE_DEVICES_SUPPORT AND NOT WIN32 AND NOT APPLE)
else (TAGLIB_FOUND)
   set(ENABLE_DEVICES_SUPPORT OFF)
   set(ENABLE_EXTERNAL_TAGS OFF)
endif (TAGLIB_FOUND)

if (NOT MTP_FOUND)
   set(ENABLE_UNCACHED_MTP OFF)
endif (NOT MTP_FOUND)

if (ENABLE_QT5)
    find_package(Qt5Widgets REQUIRED)
    find_package(Qt5Xml REQUIRED)
    find_package(Qt5Network REQUIRED)
    find_package(Qt5Concurrent REQUIRED)
    find_package(Qt5Svg REQUIRED)
    set(QTCORELIBS ${Qt5Core_LIBRARIES})
    set(QTNETWORKLIBS ${Qt5Network_LIBRARIES})
    set(QTGUILIBS ${Qt5Gui_LIBRARIES})

=== icons/CMakeLists.txt ===
if (NOT WIN32 AND NOT APPLE)
    macro (update_iconcache ICON_THEME)
        # Update mtime of hicolor icon theme dir.
        # We don't always have touch command (e.g. on Windows), so instead create
        #  and delete a temporary file in the theme dir.
        install(CODE "
        set(DESTDIR_VALUE \"\$ENV{DESTDIR}\")
        if (NOT DESTDIR_VALUE)
            file(WRITE \"${CMAKE_INSTALL_PREFIX}/share/icons/${ICON_THEME}/temp.txt\" \"update\")
            file(REMOVE \"${CMAKE_INSTALL_PREFIX}/share/icons/${ICON_THEME}/temp.txt\")
        endif (NOT DESTDIR_VALUE)
        ")
    endmacro (update_iconcache)
endif (NOT WIN32 AND NOT APPLE)

install(FILES cantata.svg DESTINATION ${CANTATA_ICON_INSTALL_PREFIX}/scalable/apps)
install(FILES cantata16.png DESTINATION ${CANTATA_ICON_INSTALL_PREFIX}/16x16/apps RENAME cantata.png)
install(FILES cantata22.png DESTINATION ${CANTATA_ICON_INSTALL_PREFIX}/22x22/apps RENAME cantata.png)
install(FILES cantata24.png DESTINATION ${CANTATA_ICON_INSTALL_PREFIX}/24x24/apps RENAME cantata.png)
install(FILES cantata32.png DESTINATION ${CANTATA_ICON_INSTALL_PREFIX}/32x32/apps RENAME cantata.png)
install(FILES cantata48.png DESTINATION ${CANTATA_ICON_INSTALL_PREFIX}/48x48/apps RENAME cantata.png)
install(FILES cantata64.png DESTINATION ${CANTATA_ICON_INSTALL_PREFIX}/64x64/apps RENAME cantata.png)

if (NOT WIN32 AND NOT APPLE)
    update_iconcache(hicolor)

    if (EXISTS /etc/lsb-release)
        file(READ "/etc/lsb-release" LSB_RELEASE_CONTENTS)
        string(REGEX MATCH "DISTRIB_ID=Ubuntu" IS_UBUNTU ${LSB_RELEASE_CONTENTS})
        if (IS_UBUNTU)
            set(INSTALL_UBUNTU_ICONS_DEFAULT ON)
        else(IS_UBUNTU)
            set(INSTALL_UBUNTU_ICONS_DEFAULT OFF)
        endif(IS_UBUNTU)
    else(EXISTS /etc/lsb-release)
        set(INSTALL_UBUNTU_ICONS_DEFAULT OFF)
    endif(EXISTS /etc/lsb-release)
    option(INSTALL_UBUNTU_ICONS "Install the Ubuntu themed monochrome panel icons" ${INSTALL_UBUNTU_ICONS_DEFAULT})

    if (INSTALL_UBUNTU_ICONS)
        install(FILES trayicon-mono-dark.svg DESTINATION ${CMAKE_INSTALL_PREFIX}/share/icons/ubuntu-mono-light/apps/22 RENAME cantata-panel.svg)
        install(FILES trayicon-mono-light.svg DESTINATION ${CMAKE_INSTALL_PREFIX}/share/icons/ubuntu-mono-dark/apps/22 RENAME cantata-panel.svg)
        update_iconcache(ubuntu-mono-light)
        update_iconcache(ubuntu-mono-dark)
    endif (INSTALL_UBUNTU_ICONS)

endif (NOT WIN32 AND NOT APPLE)

#if (APPLE)
#    install(FILES trayicon-mono-dark.svg DESTINATION ${CANTATA_ICON_INSTALL_PREFIX}/scalable/apps RENAME cantata-panel.svg)
#endif (APPLE)

=== mac/CMakeLists.txt ===
install(FILES ${MACOSX_BUNDLE_ICON_FILE} DESTINATION ${MACOSX_BUNDLE_RESOURCES})

# Qt translation files...
file(GLOB qt_trans ${QT_TRANSLATIONS_DIR}/qt_*.qm)
foreach(qm ${qt_trans})
    if (NOT ${qm} MATCHES "(${QT_TRANSLATIONS_DIR}/qt_help*)")
       list(APPEND qt_translations "${qm}")
    endif (NOT ${qm} MATCHES "(${QT_TRANSLATIONS_DIR}/qt_help*)")
endforeach(qm ${qt_trans})
install(FILES ${qt_translations} DESTINATION ${MACOSX_BUNDLE_RESOURCES}/translations/)

if (CANTATA_OXYGEN_DIR)
    add_subdirectory(icons)
endif (CANTATA_OXYGEN_DIR)

=== po/CMakeLists.txt ===
if (NOT CANTATA_TRANSLATIONS)
    set(CANTATA_TRANSLATIONS "all")
endif (NOT CANTATA_TRANSLATIONS)

foreach (trans ${CANTATA_TRANSLATIONS})
    if (trans STREQUAL "all")
        file(GLOB avail_pofiles *.po)
        foreach (PO_FILE ${avail_pofiles})
            get_filename_component(lang ${PO_FILE} NAME_WE)
            list(APPEND CANTATA_LANGUAGES "${lang}")
        endforeach (PO_FILE ${avail_pofiles})
    else (trans STREQUAL "all")
        list(APPEND CANTATA_LANGUAGES "${trans}")
    endif (trans STREQUAL "all")
endforeach (trans ${CANTATA_TRANSLATIONS})

if (ENABLE_KDE_SUPPORT )
    find_program(GETTEXT_MSGFMT_EXECUTABLE msgfmt)

    if (NOT GETTEXT_MSGFMT_EXECUTABLE)
        message("------\n"
                "NOTE: msgfmt not found. Translations will *not* be installed\n"
                "------\n")
    else (NOT GETTEXT_MSGFMT_EXECUTABLE)
        set(catalogname cantata)
        add_custom_target(translations ALL)
        foreach (_lang ${CANTATA_LANGUAGES})
            if (EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/${_lang}.po)
                set(_gmoFile ${CMAKE_CURRENT_BINARY_DIR}/${_lang}.gmo)
                add_custom_command(TARGET translations
                        COMMAND ${GETTEXT_MSGFMT_EXECUTABLE} --check -o ${_gmoFile} ${CMAKE_CURRENT_SOURCE_DIR}/${_lang}.po
                        DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/${_lang}.po)
                install(FILES ${_gmoFile} DESTINATION ${LOCALE_INSTALL_DIR}/${_lang}/LC_MESSAGES/ RENAME ${catalogname}.mo)
            endif (EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/${_lang}.po)
        endforeach (_lang ${CANTATA_LANGUAGES})
    endif (NOT GETTEXT_MSGFMT_EXECUTABLE)
else (ENABLE_KDE_SUPPORT)
    find_program(LCONVERT_EXECUTABLE lconvert)
    find_program(LRELEASE_EXECUTABLE lrelease)

    if (NOT LCONVERT_EXECUTABLE OR NOT LRELEASE_EXECUTABLE)
        message("------\n"
                "NOTE: lconvert and/or lrelease not found. Translations will *not* be installed\n"
                "------\n")
    else (NOT LCONVERT_EXECUTABLE OR NOT LRELEASE_EXECUTABLE)
        set(catalogname cantata)
        add_custom_target(translations ALL)
        foreach(_lang ${CANTATA_LANGUAGES})
            if (EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/${_lang}.po)
                set(_poFile ${_lang}.po)
                set(_tsFile ${CMAKE_CURRENT_BINARY_DIR}/cantata_${_lang}.ts)
                set(_qmFile ${CMAKE_CURRENT_BINARY_DIR}/cantata_${_lang}.qm)
                add_custom_command(TARGET translations
                    COMMAND ${LCONVERT_EXECUTABLE} ARGS ${_poFile} -o ${_tsFile} -of ts
                    DEPENDS ${_poFile}
                    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR})
                add_custom_command(TARGET translations
                    COMMAND ${LRELEASE_EXECUTABLE} ARGS ${_tsFile} -qm ${_qmFile}
                    DEPENDS ${_tsFile})
                if (WIN32 OR ENABLE_UBUNTU)
                    install(FILES ${_qmFile} DESTINATION ${CMAKE_INSTALL_PREFIX}/translations/)
                elseif (APPLE)
                    install(FILES ${_qmFile} DESTINATION ${MACOSX_BUNDLE_RESOURCES}/translations/)
                else (WIN32 OR APPLE OR ENABLE_UBUNTU)
                    install(FILES ${_qmFile} DESTINATION ${CMAKE_INSTALL_PREFIX}/share/cantata/translations/)
                endif (WIN32 OR ENABLE_UBUNTU)
            endif (EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/${_lang}.po)
        endforeach(_lang ${CANTATA_LANGUAGES})
    endif (NOT LCONVERT_EXECUTABLE OR NOT LRELEASE_EXECUTABLE)
endif (ENABLE_KDE_SUPPORT)

=== replaygain/CMakeLists.txt ===
if (FFMPEG_FOUND OR MPG123_FOUND)
    include_directories(${QTINCLUDES} ${ZLIB_INCLUDE_DIRS} ${CMAKE_SOURCE_DIR})
    if (FFMPEG_FOUND)
        set(CANTATA_RG_SRCS ${CANTATA_RG_SRCS} ffmpeginput.cpp)
        include_directories(${FFMPEG_INCLUDE_DIRS})
    endif (FFMPEG_FOUND)
    if (MPG123_FOUND)
        set(CANTATA_RG_SRCS ${CANTATA_RG_SRCS} mpg123input.cpp)
        include_directories(${MPG123_INCLUDE_DIRS})
    endif (MPG123_FOUND)

    set(CANTATA_RG_SRCS ${CANTATA_RG_SRCS} main.cpp replaygain.cpp trackscanner.cpp jobcontroller.cpp ../support/thread.cpp)
    set(CANTATA_RG_MOC_HDRS ${CANTATA_RG_MOC_HDRS} replaygain.h trackscanner.h jobcontroller.h ../support/thread.h)

    if (ENABLE_KDE_SUPPORT)
        kde4_add_executable(cantata-replaygain ${CANTATA_RG_SRCS} ${CANTATA_RG_MOC_SRCS})
        install(TARGETS cantata-replaygain RUNTIME DESTINATION ${LINUX_LIB_DIR}/cantata)
    else (ENABLE_KDE_SUPPORT)
        if (ENABLE_QT5)
            QT5_WRAP_CPP(CANTATA_RG_MOC_SRCS ${CANTATA_RG_MOC_HDRS})
        else (ENABLE_QT5)
            INCLUDE(${QT_USE_FILE})
            QT4_WRAP_CPP(CANTATA_RG_MOC_SRCS ${CANTATA_RG_MOC_HDRS})
        endif (ENABLE_QT5)

        if (WIN32)
            set(CMAKE_BUILD_TYPE "Release")
            ADD_EXECUTABLE(cantata-replaygain WIN32 ${CANTATA_RG_SRCS} ${CANTATA_RG_MOC_SRCS} ${CANTATA_PO})
            install(TARGETS cantata-replaygain DESTINATION ${CMAKE_INSTALL_PREFIX})
        elseif (APPLE)
            set(CMAKE_BUILD_TYPE "Release")
            ADD_EXECUTABLE(cantata-replaygain ${CANTATA_RG_SRCS} ${CANTATA_RG_MOC_SRCS} ${CANTATA_PO})
            install(TARGETS cantata-replaygain DESTINATION ${MACOSX_BUNDLE_APP_DIR})
        else (WIN32)
            ADD_EXECUTABLE(cantata-replaygain ${CANTATA_RG_SRCS} ${CANTATA_RG_MOC_SRCS})
            install(TARGETS cantata-replaygain RUNTIME DESTINATION ${LINUX_LIB_DIR}/cantata)
        endif (WIN32)
    endif (ENABLE_KDE_SUPPORT)

    find_package(Ebur128)

    if (EBUR128_FOUND)
        message("-- Using system libebur128")
        include_directories(${EBUR128_INCLUDE_DIR})
        target_link_libraries(cantata-replaygain ${EBUR128_LIBRARY})
    else (EBUR128_FOUND)
        message("-- Using supplied libebur128")
        include_directories(${CMAKE_SOURCE_DIR}/3rdparty)
        add_subdirectory(${CMAKE_SOURCE_DIR}/3rdparty/ebur128 ${CMAKE_BINARY_DIR}/3rdparty/ebur128)
        target_link_libraries(cantata-replaygain ebur128)
    endif (EBUR128_FOUND)

    if (FFMPEG_FOUND)
        target_link_libraries(cantata-replaygain ${FFMPEG_LIBRARIES})
    endif (FFMPEG_FOUND)
    if (MPG123_FOUND)
        target_link_libraries(cantata-replaygain ${MPG123_LIBRARIES})
    endif (MPG123_FOUND)
    target_link_libraries(cantata-replaygain ${QTCORELIBS})
    if (UNIX AND NOT APPLE)
        target_link_libraries(cantata-replaygain -lpthread)
    endif (UNIX AND NOT APPLE)
endif (FFMPEG_FOUND OR MPG123_FOUND)

=== support/CMakeLists.txt ===
set(SUPPORT_CORE_SRCS utils.cpp thread.cpp)
set(SUPPORT_CORE_MOC_HDRS thread.h)

include_directories(${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR} ${QTINCLUDES})

if (ENABLE_QT5)
    qt5_wrap_cpp(SUPPORT_CORE_MOC_SRCS ${SUPPORT_CORE_MOC_HDRS})
else (ENABLE_QT5)
    qt4_wrap_cpp(SUPPORT_CORE_MOC_SRCS ${SUPPORT_CORE_MOC_HDRS})
endif (ENABLE_QT5)

add_library(support-core STATIC ${SUPPORT_CORE_MOC_SRCS} ${SUPPORT_CORE_SRCS})
    
if (NOT ENABLE_UBUNTU)
    set(SUPPORT_SRCS icon.cpp fancytabwidget.cpp messagewidget.cpp buddylabel.cpp action.cpp actioncollection.cpp flickcharm.cpp
        configuration.cpp lineedit.cpp gtkstyle.cpp spinner.cpp messagebox.cpp inputdialog.cpp thread.cpp squeezedtextlabel.cpp
        proxystyle.cpp touchproxystyle.cpp pagewidget.cpp combobox.cpp configdialog.cpp)

    set(SUPPORT_MOC_HDRS fancytabwidget.h messagewidget.h inputdialog.h pagewidget.h  action.h actioncollection.h flickcharm.h
        configdialog.h)
    if (ENABLE_QT5)
        set(SUPPORT_MOC_HDRS ${SUPPORT_MOC_HDRS} combobox.h)
    endif (ENABLE_QT5)

    if (NOT WIN32 AND NOT APPLE)
        set(SUPPORT_SRCS ${SUPPORT_SRCS} gtkproxystyle.cpp shortcuthandler.cpp)
        set(SUPPORT_MOC_HDRS ${SUPPORT_MOC_HDRS} shortcuthandler.h)
        add_subdirectory(themes)
    endif (NOT WIN32 AND NOT APPLE)
    if (NOT WIN32)
        set(SUPPORT_SRCS ${SUPPORT_SRCS} windowmanager.cpp)
        set(SUPPORT_MOC_HDRS ${SUPPORT_MOC_HDRS} windowmanager.h)
    endif (NOT WIN32)
    if (APPLE)
        set(SUPPORT_SRCS ${SUPPORT_SRCS} osxstyle.cpp flattoolbutton.cpp)
        set(SUPPORT_MOC_HDRS ${SUPPORT_MOC_HDRS} osxstyle.h)
        if (ENABLE_QT5)
            qt5_add_resources(SUPPORT_RC_SRCS support_mac_icons.qrc)
        else (ENABLE_QT5)
            qt4_add_resources(SUPPORT_RC_SRCS support_mac_icons.qrc)
        endif (ENABLE_QT5)
    endif (APPLE)

    if (ENABLE_KDE_SUPPORT)
        include_directories(${KDE4_INCLUDES})
        # macro_ensure_version("4.7.0" ${KDE_VERSION} KDE_VERSION_47)
        # if (NOT KDE_VERSION_47)
            set(SUPPORT_SRCS ${SUPPORT_SRCS} kmessagewidget.cpp)
            set(SUPPORT_MOC_HDRS ${SUPPORT_MOC_HDRS} kmessagewidget.h)
        # endif (NOT KDE_VERSION_47)
        kde4_add_ui_files(SUPPORT_UI_HDRS ${SUPPORT_UIS})
        set(SUPPORT_SRCS ${SUPPORT_SRCS} dialog.cpp)
    else (ENABLE_KDE_SUPPORT)
        set(SUPPORT_SRCS ${SUPPORT_SRCS} pathrequester.cpp kmessagewidget.cpp dialog.cpp shortcutsmodel.cpp
            shortcutssettingswidget.cpp keysequencewidget.cpp acceleratormanager.cpp urllabel.cpp)
        set(SUPPORT_MOC_HDRS ${SUPPORT_MOC_HDRS} pathrequester.h kmessagewidget.h urllabel.h
             dialog.h shortcutsmodel.h shortcutssettingswidget.h keysequencewidget.h spinner.h acceleratormanager_private.h)
        set(SUPPORT_UIS shortcutssettingswidget.ui)
        if (ENABLE_QT5)
            # if (Qt5Gui_VERSION_MAJOR LESS 5 OR Qt5Gui_VERSION_MINOR LESS 2)
                set(SUPPORT_MOC_HDRS ${SUPPORT_MOC_HDRS} lineedit.h)
            # endif (Qt5Gui_VERSION_MAJOR LESS 5 OR Qt5Gui_VERSION_MINOR LESS 2)
            qt5_wrap_ui(SUPPORT_UI_HDRS ${SUPPORT_UIS})
        else (ENABLE_QT5)
            set(SUPPORT_MOC_HDRS ${SUPPORT_MOC_HDRS} lineedit.h)
            qt4_wrap_ui(SUPPORT_UI_HDRS ${SUPPORT_UIS})
        endif (ENABLE_QT5)
    endif  (ENABLE_KDE_SUPPORT)

    if (ENABLE_QT5)
        qt5_wrap_cpp(SUPPORT_MOC_SRCS ${SUPPORT_MOC_HDRS})
    else (ENABLE_QT5)
        qt4_wrap_cpp(SUPPORT_MOC_SRCS ${SUPPORT_MOC_HDRS})
    endif (ENABLE_QT5)

    add_library(support STATIC ${SUPPORT_MOC_SRCS} ${SUPPORT_SRCS} ${SUPPORT_UI_HDRS} ${SUPPORT_RC_SRCS})

    if (X11_FOUND)
        target_link_libraries(support ${X11_LIBRARIES})
    endif (X11_FOUND)
endif (NOT ENABLE_UBUNTU)

=== tags/CMakeLists.txt ===
include_directories(${QTINCLUDES} ${TAGLIB_INCLUDES} ${CMAKE_SOURCE_DIR})
set(CANTATA_TAGS_SRCS main.cpp taghelper.cpp tags.cpp filetyperesolver.cpp ../mpd/song.cpp)
set(CANTATA_TAGS_MOC_HDRS taghelper.h)

if (ENABLE_KDE_SUPPORT)
    kde4_add_executable(cantata-tags ${CANTATA_TAGS_SRCS} ${CANTATA_TAGS_MOC_SRCS})
    install(TARGETS cantata-tags RUNTIME DESTINATION ${LINUX_LIB_DIR}/cantata)
    target_link_libraries(cantata-tags ${KDE4_KDECORE_LIBS})
else (ENABLE_KDE_SUPPORT)
    if (ENABLE_QT5)
        QT5_WRAP_CPP(CANTATA_TAGS_MOC_SRCS ${CANTATA_TAGS_MOC_HDRS})
    else (ENABLE_QT5)
        QT4_WRAP_CPP(CANTATA_TAGS_MOC_SRCS ${CANTATA_TAGS_MOC_HDRS})
    endif (ENABLE_QT5)

    if (WIN32)
        set(CMAKE_BUILD_TYPE "Release")
        ADD_EXECUTABLE(cantata-tags WIN32 ${CANTATA_TAGS_SRCS} ${CANTATA_TAGS_MOC_SRCS})
        install(TARGETS cantata-tags DESTINATION ${CMAKE_INSTALL_PREFIX})
    elseif (APPLE)
        set(CMAKE_BUILD_TYPE "Release")
        ADD_EXECUTABLE(cantata-tags ${CANTATA_TAGS_SRCS} ${CANTATA_TAGS_MOC_SRCS})
        install(TARGETS cantata-tags DESTINATION ${MACOSX_BUNDLE_APP_DIR})
    else (WIN32)
        ADD_EXECUTABLE(cantata-tags ${CANTATA_TAGS_SRCS} ${CANTATA_TAGS_MOC_SRCS})
        install(TARGETS cantata-tags RUNTIME DESTINATION ${LINUX_LIB_DIR}/cantata)
    endif (WIN32)
endif (ENABLE_KDE_SUPPORT)

add_definitions(-DCANTATA_TAG_SERVER -DCANTATA_NO_UI_FUNCTIONS)
target_link_libraries(cantata-tags ${TAGLIB_LIBRARIES} ${QTGUILIBS} ${QTCORELIBS} ${QTNETWORKLIBS})
if (TAGLIB-EXTRAS_FOUND)
    target_link_libraries(cantata-tags ${TAGLIB-EXTRAS_LIBRARIES})
    include_directories(${TAGLIB-EXTRAS_INCLUDES})
endif (TAGLIB-EXTRAS_FOUND)

=== windows/CMakeLists.txt ===
set(WINDOWS_APP_NAME Cantata)
set(WINDOWS_COMPANY_NAME Cantata)
set(WINDOWS_URL "http://${PROJECT_URL}")

if (CANTATA_SSL_LIBS)
    set(EXTRA_WIN_LIBS ${EXTRA_WIN_LIBS} ${CANTATA_SSL_LIBS})
    set(CANTATA_SSL_WIN_NSIS_INSTALL "file \"libeay32.dll\"\n    file \"ssleay32.dll\"")
endif (CANTATA_SSL_LIBS)

if (ENABLE_QT5)
    FILE(TO_CMAKE_PATH $ENV{QTDIR} QT_DIR)
    set(QT_BINARY_DIR ${QT_DIR}/bin)
    set(QT_PLUGINS_DIR ${QT_DIR}/plugins)
    set(QT_TRANSLATIONS_DIR ${QT_DIR}/translations)

    configure_file(cantata-qt5.nsi.cmake ${CMAKE_CURRENT_BINARY_DIR}/cantata.nsi)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/cantata.nsi cantata.ico LICENSE.txt "Cantata README.txt" "Qt License (LGPL V2).txt" "TagLib README.txt" DESTINATION ${CMAKE_INSTALL_PREFIX})

    # Qt image formats...
    install(FILES ${QT_PLUGINS_DIR}/imageformats/qjpeg.dll ${QT_PLUGINS_DIR}/imageformats/qsvg.dll DESTINATION ${CMAKE_INSTALL_PREFIX}/imageformats/)

    # Qt iconengines...
    install(FILES ${QT_PLUGINS_DIR}/iconengines/qsvgicon.dll DESTINATION ${CMAKE_INSTALL_PREFIX}/iconengines/)

    # Qt windows platform plugin...
    install(FILES ${QT_PLUGINS_DIR}/platforms/qwindows.dll DESTINATION ${CMAKE_INSTALL_PREFIX}/platforms/)

    # Qt, taglib, and zlib libraries...
    set(EXTRA_WIN_LIBS ${EXTRA_WIN_LIBS}
        ${QT_BINARY_DIR}/Qt5Core.dll ${QT_BINARY_DIR}/Qt5Gui.dll ${QT_BINARY_DIR}/Qt5Network.dll ${QT_BINARY_DIR}/Qt5Svg.dll ${QT_BINARY_DIR}/Qt5Xml.dll
        ${QT_BINARY_DIR}/Qt5Widgets.dll ${QT_BINARY_DIR}/Qt5WinExtras.dll
        ${CMAKE_CURRENT_SOURCE_DIR}/icu/icudt52.dll ${QT_BINARY_DIR}/icuin52.dll ${QT_BINARY_DIR}/icuuc52.dll
        ${QT_BINARY_DIR}/libgcc_s_dw2-1.dll ${QT_BINARY_DIR}/libstdc++-6.dll ${QT_BINARY_DIR}/libwinpthread-1.dll
        ${ZLIB_INCLUDE_DIR}/../bin/libz-1.dll ${TAGLIB_INCLUDES}/../bin/libtag.dll)
else (ENABLE_QT5)
    configure_file(cantata.nsi.cmake ${CMAKE_CURRENT_BINARY_DIR}/cantata.nsi)
    configure_file(cantata.iss.cmake ${CMAKE_CURRENT_BINARY_DIR}/cantata.iss)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/cantata.nsi cantata.ico LICENSE.txt "Cantata README.txt" "Qt4 README.txt" "Qt License (LGPL V2).txt" "TagLib README.txt" DESTINATION ${CMAKE_INSTALL_PREFIX})

    # Qt image formats...
    install(FILES ${QT_PLUGINS_DIR}/imageformats/qjpeg4.dll ${QT_PLUGINS_DIR}/imageformats/qsvg4.dll DESTINATION ${CMAKE_INSTALL_PREFIX}/imageformats/)

    # Qt iconengines...
    install(FILES ${QT_PLUGINS_DIR}/iconengines/qsvgicon4.dll DESTINATION ${CMAKE_INSTALL_PREFIX}/iconengines/)

    # Qt, taglib, and zlib libraries...
    set(EXTRA_WIN_LIBS ${EXTRA_WIN_LIBS}
        ${QT_BINARY_DIR}/QtCore4.dll ${QT_BINARY_DIR}/QtGui4.dll ${QT_BINARY_DIR}/QtNetwork4.dll ${QT_BINARY_DIR}/QtSvg4.dll ${QT_BINARY_DIR}/QtXml4.dll
        ${ZLIB_INCLUDE_DIR}/../bin/libz-1.dll ${TAGLIB_INCLUDES}/../bin/libtag.dll ${CANTATA_MINGW_LIBS})
endif (ENABLE_QT5)

# Qt translation files...
file(GLOB qt_trans ${QT_TRANSLATIONS_DIR}/qt_*.qm)
foreach(qm ${qt_trans})
    if (NOT ${qm} MATCHES "(${QT_TRANSLATIONS_DIR}/qt_help*)")
        list(APPEND qt_translations "${qm}")
    endif (NOT ${qm} MATCHES "(${QT_TRANSLATIONS_DIR}/qt_help*)")
endforeach(qm ${qt_trans})
install(FILES ${qt_translations} DESTINATION ${CMAKE_INSTALL_PREFIX}/translations/)

install(FILES ${EXTRA_WIN_LIBS} DESTINATION ${CMAKE_INSTALL_PREFIX})
install(FILES LICENSE.txt DESTINATION ${CMAKE_INSTALL_PREFIX} RENAME "Cantata License (GPL V3).txt")

if (CANTATA_OXYGEN_DIR)
    add_subdirectory(icons)
endif (CANTATA_OXYGEN_DIR)

=== devices/avahi/CMakeLists.txt ===
set(AVAHI_SRCS avahi.cpp avahiservice.cpp)

SET(AVAHI_MOC_HDRS avahi.h avahiservice.h)

if (ENABLE_QT5)
    qt5_add_dbus_interfaces(AVAHI_SRCS org.freedesktop.Avahi.Server.xml )
    qt5_add_dbus_interfaces(AVAHI_SRCS org.freedesktop.Avahi.ServiceBrowser.xml)
    qt5_add_dbus_interfaces(AVAHI_SRCS org.freedesktop.Avahi.ServiceResolver.xml)
    QT5_WRAP_CPP( AVAHI_MOC_SRCS ${AVAHI_MOC_HDRS} )
else (ENABLE_QT5)
    if (USE_OLD_DBUS_TYPEDEF OR ((QT_VERSION_MINOR LESS 8) OR (QT_VERSION_MINOR EQUAL 8 AND QT_VERSION_PATCH LESS 2) ))
        qt4_add_dbus_interfaces(AVAHI_SRCS org.freedesktop.Avahi.Server.OLD.xml )
        qt4_add_dbus_interfaces(AVAHI_SRCS org.freedesktop.Avahi.ServiceResolver.OLD.xml)
    else (USE_OLD_DBUS_TYPEDEF OR ((QT_VERSION_MINOR LESS 8) OR (QT_VERSION_MINOR EQUAL 8 AND QT_VERSION_PATCH LESS 2) ))
        qt4_add_dbus_interfaces(AVAHI_SRCS org.freedesktop.Avahi.Server.xml )
        qt4_add_dbus_interfaces(AVAHI_SRCS org.freedesktop.Avahi.ServiceResolver.xml)
    endif (USE_OLD_DBUS_TYPEDEF OR ((QT_VERSION_MINOR LESS 8) OR (QT_VERSION_MINOR EQUAL 8 AND QT_VERSION_PATCH LESS 2) ))

    qt4_add_dbus_interfaces(AVAHI_SRCS org.freedesktop.Avahi.ServiceBrowser.xml)
    QT4_WRAP_CPP( AVAHI_MOC_SRCS ${AVAHI_MOC_HDRS} )
endif (ENABLE_QT5)

include_directories(${CMAKE_CURRENT_BINARY_DIR} ${QTINCLUDES})
add_library(avahi STATIC ${AVAHI_MOC_SRCS} ${AVAHI_SRCS})

=== devices/mounter/CMakeLists.txt ===
set(CANTATA_MOUNTER_SRCS main.cpp mounter.cpp)
set(CANTATA_MOUNTER_MOC_HDRS mounter.h)
if (ENABLE_QT5)
    qt5_wrap_cpp( CANTATA_MOUNTER_MOC_SRCS ${CANTATA_MOUNTER_MOC_HDRS} )
    qt5_add_dbus_adaptor(CANTATA_MOUNTER_SRCS com.googlecode.cantata.mounter.xml mounter.h Mounter )
else (ENABLE_QT5)
    qt4_wrap_cpp( CANTATA_MOUNTER_MOC_SRCS ${CANTATA_MOUNTER_MOC_HDRS} )
    qt4_add_dbus_adaptor(CANTATA_MOUNTER_SRCS com.googlecode.cantata.mounter.xml mounter.h Mounter )
    add_definitions( -DQT_NO_STL -DQT_NO_CAST_TO_ASCII -Wall -Wextra )
endif (ENABLE_QT5)

add_executable( cantata-mounter ${CANTATA_MOUNTER_SRCS} ${CANTATA_MOUNTER_MOC_SRCS} )
install(TARGETS cantata-mounter RUNTIME DESTINATION lib/cantata)
configure_file(com.googlecode.cantata.mounter.service.cmake ${CMAKE_CURRENT_BINARY_DIR}/com.googlecode.cantata.mounter.service)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/com.googlecode.cantata.mounter.service DESTINATION ${CMAKE_INSTALL_PREFIX}/share/dbus-1/system-services/ )
install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/com.googlecode.cantata.mounter.conf DESTINATION /etc/dbus-1/system.d/ )

if (ENABLE_QT5)
    target_link_libraries(cantata-mounter ${Qt5Core_LIBRARIES} ${Qt5DBus_LIBRARIES})
else (ENABLE_QT5)
    target_link_libraries(cantata-mounter ${QT_QTCORE_LIBRARY} ${QT_QTDBUS_LIBRARY})
endif (ENABLE_QT5)
include_directories( ${QTINCLUDES} ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_BINARY_DIR})

install(FILES ${_qmFile} DESTINATION ${CMAKE_INSTALL_PREFIX}/share/cantata/)
install(PROGRAMS mount.cifs.wrapper DESTINATION ${CMAKE_INSTALL_PREFIX}/share/cantata/scripts/ )

=== mac/icons/CMakeLists.txt ===
set(OXYGEN_ICONS
32x32/places/server-database.png
32x32/places/favorites.png
32x32/places/network-server.png
32x32/places/document-multiple.png
32x32/actions/media-playback-pause.png
32x32/actions/document-open.png
32x32/actions/document-new.png
32x32/actions/folder-sync.png
32x32/actions/view-refresh.png
32x32/actions/document-edit.png
32x32/actions/list-remove.png
32x32/actions/speaker.png
32x32/actions/list-add.png
32x32/actions/document-save.png
32x32/actions/document-save-as.png
32x32/actions/dialog-close.png
32x32/actions/edit-delete.png
32x32/actions/view-media-artist.png
32x32/actions/media-skip-forward.png
32x32/actions/edit-find.png
32x32/actions/application-exit.png
32x32/actions/media-playback-start.png
32x32/actions/view-media-playlist.png
32x32/actions/dialog-ok.png
32x32/actions/dialog-cancel.png
32x32/actions/media-skip-backward.png
32x32/actions/configure.png
32x32/actions/edit-clear-list.png
32x32/actions/go-previous.png
32x32/actions/view-fullscreen.png
32x32/actions/process-stop.png
32x32/actions/edit-clear-locationbar-rtl.png
32x32/actions/edit-rename.png
32x32/actions/tools-wizard.png
32x32/actions/document-import.png
32x32/actions/go-next.png
32x32/actions/media-playback-stop.png
32x32/actions/document-export.png
32x32/actions/edit-clear-locationbar-ltr.png
32x32/status/media-playlist-shuffle.png
32x32/status/dialog-error.png
32x32/status/dialog-warning.png
32x32/status/dialog-information.png
32x32/status/object-locked.png
32x32/mimetypes/inode-directory.png
32x32/mimetypes/audio-x-generic.png
32x32/categories/preferences-system-network.png
32x32/categories/preferences-other.png
32x32/categories/applications-internet.png
32x32/devices/multimedia-player.png
32x32/devices/media-optical.png
32x32/apps/system-file-manager.png
32x32/apps/preferences-desktop-keyboard.png
64x64/status/dialog-error.png
64x64/status/dialog-warning.png
64x64/status/dialog-information.png
64x64/categories/preferences-system-network.png
64x64/categories/preferences-other.png
64x64/categories/applications-internet.png
64x64/devices/multimedia-player.png
64x64/devices/media-optical.png
64x64/apps/preferences-desktop-keyboard.png
22x22/places/server-database.png
22x22/places/favorites.png
22x22/places/network-server.png
22x22/places/document-multiple.png
22x22/actions/media-playback-pause.png
22x22/actions/document-open.png
22x22/actions/document-new.png
22x22/actions/folder-sync.png
22x22/actions/view-refresh.png
22x22/actions/document-edit.png
22x22/actions/list-remove.png
22x22/actions/speaker.png
22x22/actions/list-add.png
22x22/actions/document-save.png
22x22/actions/document-save-as.png
22x22/actions/dialog-close.png
22x22/actions/edit-delete.png
22x22/actions/view-media-artist.png
22x22/actions/media-skip-forward.png
22x22/actions/edit-find.png
22x22/actions/application-exit.png
22x22/actions/media-playback-start.png
22x22/actions/view-media-playlist.png
22x22/actions/dialog-ok.png
22x22/actions/dialog-cancel.png
22x22/actions/media-skip-backward.png
22x22/actions/configure.png
22x22/actions/edit-clear-list.png
22x22/actions/go-previous.png
22x22/actions/view-fullscreen.png
22x22/actions/process-stop.png
22x22/actions/edit-clear-locationbar-rtl.png
22x22/actions/edit-rename.png
22x22/actions/tools-wizard.png
22x22/actions/document-import.png
22x22/actions/go-next.png
22x22/actions/media-playback-stop.png
22x22/actions/document-export.png
22x22/actions/edit-clear-locationbar-ltr.png
22x22/status/media-playlist-shuffle.png
22x22/status/dialog-error.png
22x22/status/dialog-warning.png
22x22/status/dialog-information.png
22x22/status/object-locked.png
22x22/mimetypes/inode-directory.png
22x22/mimetypes/audio-x-generic.png
22x22/categories/preferences-system-network.png
22x22/categories/preferences-other.png
22x22/categories/applications-internet.png
22x22/devices/multimedia-player.png
22x22/devices/media-optical.png
22x22/apps/system-file-manager.png
22x22/apps/preferences-desktop-keyboard.png
16x16/places/server-database.png
16x16/places/favorites.png
16x16/places/network-server.png
16x16/places/document-multiple.png
16x16/actions/media-playback-pause.png
16x16/actions/document-open.png
16x16/actions/document-new.png
16x16/actions/folder-sync.png
16x16/actions/view-refresh.png
16x16/actions/document-edit.png
16x16/actions/list-remove.png
16x16/actions/speaker.png
16x16/actions/list-add.png
16x16/actions/document-save.png
16x16/actions/document-save-as.png
16x16/actions/dialog-close.png
16x16/actions/edit-delete.png
16x16/actions/view-media-artist.png
16x16/actions/media-skip-forward.png
16x16/actions/edit-find.png
16x16/actions/application-exit.png
16x16/actions/media-playback-start.png
16x16/actions/view-media-playlist.png
16x16/actions/dialog-ok.png
16x16/actions/dialog-cancel.png
16x16/actions/media-skip-backward.png
16x16/actions/configure.png
16x16/actions/edit-clear-list.png
16x16/actions/go-previous.png
16x16/actions/view-fullscreen.png
16x16/actions/process-stop.png
16x16/actions/edit-clear-locationbar-rtl.png
16x16/actions/edit-rename.png
16x16/actions/tools-wizard.png
16x16/actions/document-import.png
16x16/actions/go-next.png
16x16/actions/media-playback-stop.png
16x16/actions/document-export.png
16x16/actions/edit-clear-locationbar-ltr.png
16x16/status/media-playlist-shuffle.png
16x16/status/dialog-error.png
16x16/status/dialog-warning.png
16x16/status/dialog-information.png
16x16/status/object-locked.png
16x16/mimetypes/inode-directory.png
16x16/mimetypes/audio-x-generic.png
16x16/categories/preferences-system-network.png
16x16/categories/preferences-other.png
16x16/categories/applications-internet.png
16x16/devices/multimedia-player.png
16x16/devices/media-optical.png
16x16/apps/system-file-manager.png
16x16/apps/preferences-desktop-keyboard.png
48x48/actions/view-fullscreen.png
48x48/status/media-playlist-shuffle.png
48x48/status/dialog-error.png
48x48/status/dialog-warning.png
48x48/status/dialog-information.png
48x48/status/object-locked.png
48x48/categories/preferences-system-network.png
48x48/categories/preferences-other.png
48x48/categories/applications-internet.png
48x48/devices/multimedia-player.png
48x48/devices/media-optical.png
48x48/apps/preferences-desktop-keyboard.png
128x128/categories/applications-internet.png
128x128/devices/media-optical.png
256x256/categories/applications-internet.png
256x256/devices/media-optical.png
16x16/places/bookmarks.png
16x16/actions/bookmark-new.png
32x32/places/bookmarks.png
32x32/actions/bookmark-new.png
48x48/places/bookmarks.png
48x48/actions/bookmark-new.png
22x22/places/bookmarks.png
22x22/actions/bookmark-new.png
22x22/actions/bookmarks.png
64x64/places/bookmarks.png
64x64/actions/bookmark-new.png
32x32/actions/go-up.png
22x22/actions/go-up.png
16x16/actions/go-up.png
64x64/actions/go-down.png
48x48/actions/go-down.png
32x32/actions/go-down.png
22x22/actions/go-down.png
16x16/actions/go-down.png
22x22/apps/clock.png
48x48/apps/clock.png
32x32/apps/clock.png
64x64/apps/clock.png
16x16/apps/clock.png
48x48/actions/document-save-as.png
48x48/mimetypes/inode-directory.png
64x64/mimetypes/inode-directory.png
48x48/mimetypes/audio-x-generic.png
64x64/mimetypes/audio-x-generic.png
48x48/places/document-multiple.png
64x64/places/document-multiple.png
)

foreach(ICON ${OXYGEN_ICONS})
    get_filename_component(ICON_PATH ${ICON} PATH)
    install(FILES ${CANTATA_OXYGEN_DIR}/${ICON} DESTINATION ${CANTATA_ICON_INSTALL_PREFIX}/${ICON_PATH})
endforeach(ICON ${OXYGEN_ICONS})
install(FILES index.theme DESTINATION ${CANTATA_ICON_INSTALL_PREFIX})
install(FILES "LICENSE.Creative Common Attribution-ShareAlike 3.0 License.html" DESTINATION ${CANTATA_ICON_INSTALL_PREFIX} RENAME "Oxygen License (Creative Common Attribution-ShareAlike 3.0).html")
install(FILES LICENSE.LGPL_V3 DESTINATION ${CANTATA_ICON_INSTALL_PREFIX} RENAME "Oxygen License (LGPL V3).txt")
install(FILES README DESTINATION ${CANTATA_ICON_INSTALL_PREFIX} RENAME "Oxygen README.txt")

=== online/icons/CMakeLists.txt ===
set(CANTATA_INSTALL_ONLINE_ICONS bbc.svg cbc.svg npr.svg podcasts.png soundcloud.png)

if (WIN32)
    install(FILES ${CANTATA_INSTALL_ONLINE_ICONS} DESTINATION ${CMAKE_INSTALL_PREFIX}/icons/)
elseif (APPLE)
    install(FILES ${CANTATA_INSTALL_ONLINE_ICONS} DESTINATION ${MACOSX_BUNDLE_RESOURCES}/icons/)
else (WIN32)
    install(FILES ${CANTATA_INSTALL_ONLINE_ICONS} DESTINATION ${CMAKE_INSTALL_PREFIX}/share/${CMAKE_PROJECT_NAME}/icons/)
endif (WIN32)

=== debian/changelog ===
cantata (1.5.2.ds2-2ubuntu1) wily; urgency=medium

  * Merge with Debian; remaining changes:
    - Remove install dep on kde-style-oxygen which no longer exists.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 14 Aug 2015 22:55:17 +0200

cantata (1.5.2.ds2-2) unstable; urgency=medium

  * Team upload.
  * Look for libmusicbrainz5cc instead of libmusicbrainz5 (Closes: #791880).

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 09 Jul 2015 12:38:44 +0200

cantata (1.5.2.ds2-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards version (no changes required).

 -- Stuart Prescott <stuart@debian.org>  Mon, 27 Apr 2015 00:36:16 +1000

=== debian/control ===
Source: cantata
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Stuart Prescott <stuart@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               graphicsmagick,
               kdelibs5-dev,
               libavcodec-dev,
               libavformat-dev,
               libavutil-dev,
               libcdparanoia-dev,
               libebur128-dev,
               libmusicbrainz5-dev (>= 5.1.0+git20150707),
               libmpg123-dev,
               libmtp-dev (>= 1.0.0),
               libphonon-dev,
               libqjson-dev,
               libqt4-dev,
               libqtwebkit-dev,
               libqxt-dev,
               libspeex-dev,
               libspeexdsp-dev,
               libtag-extras-dev,
               libtag1-dev,
               libx11-dev,
               pkg-config,
               pkg-kde-tools
Standards-Version: 3.9.6
Homepage: https://code.google.com/p/cantata/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/cantata.git
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/cantata.git

Package: cantata
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: mpd-client
Suggests: mpd
Description: KDE client for the music player daemon (MPD)
 Cantata is a graphical front-end for the music player daemon, MPD. It provides
 many tools to view and manage the music collection including:
 .
   * library - sorted by album, artist, track, directory
   * albums with cover art
   * user defined playlists
   * dynamic playlists
   * streams, internet radio
   * lyrics
   * artist information from Wikipedia
   * device support for USB mass storage, MTP and CDs

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with kde

override_dh_auto_configure:
	dh_auto_configure -- -DENABLE_HTTP_SERVER=OFF -DENABLE_KDE=ON

override_dh_auto_install:
	install -d debian/tmp
	gm convert icons/cantata32.png debian/tmp/cantata.xpm
	gm convert icons/cantata16.png debian/tmp/cantata-16.xpm
	dh_auto_install

override_dh_auto_clean:
	rm -rf 3rdparty/qjson 3rdparty/qtsingleapplication 3rdparty/solid-lite
	dh_auto_clean

=== debian/watch ===
# Google code no longer offers downloads. The purpose of this watch file is
# only to flag new versions not to download the new source package. The
# download URL will return a 404 and uscan will stop.
#
version=3
opts=uversionmangle=s#/##g;s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,dversionmangle=s/\.ds1//,downloadurlmangle=s/$/googlecode-makes-life-difficult/ \
 http://cantata.googlecode.com/svn/release/(\d+\.\d+\..*)
